package com.palatform.yijia;

public class Thread_A implements Runnable {

    private String name;
    public Thread_A(String name){
        this.name = name;
    }

    @Override
    public void run() {
        try {
            for (int i=0; i<5; i++){
                System.out.println(name+":"+ i);
                Thread.sleep(1000);
            }
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }
}
